# sbd-alg-2022

## Groupe jour

- Systèmes de base de données / ISC_431 / 8h30-10h00
- Algèbre relationnelle / ISC_423 / 10h15-11h00
- Horaires: 8h30-10h00 - 10h15-11h00

## Groupe soir

- Systèmes de base de données / sISC_261 / 19 h 15 - 20 h 45
- Algèbre relationnelle / sISC_253 / 20 h 45 - 21 h 30
- Horaires: 19h15-20h50 - 21h00-21h40

# Journal

### Semaine 1 - 22 et 25 février

- programme
  - chapitre 0
  - [sbd] chapitre 1 - intro base de données 
  - [sbd] chapitre 2 - modélisation EA

Comparaison en Python d'une manipulation d'une collection avec un style impératif et déclaratif (compréhension de listes)

```python
from dataclasses import dataclass

@dataclass
class Student:
    lastname: str
    firstname: str
    age: int
students = [ Student("Cavat", "Joel", 40), 
Student("Albuquerque", "Paul", 17), Student("Orestis", "Malaspinas", 32) ]

# impératif
res = []
for s in students:
    if s.age >= 18:
        res.append( s.lastname )

# déclaratif
res = [ s.lastname for s in students if s.age >= 18 ]
```

### Semaine 2 - 1 et 4 mars

- [sbd] chapitre 2 - modélisation EA - FIN
- [sbd] exercices individuels et exercices de groupe

### Semaine 3 - 8 et 11 mars

- [sbd] corrections des exercices de groupe
- [sbd] exercices individuels et exercices de groupe

### Semaine 4 - 15 et 17 mars

- [sbd] chapitre 3 - intro BD rel.
- [sbd] exercice : trouvez un cas d'utilisation en ligne

### Semaine 5 - 22 et 25 mars

- [sbd] chapitre 4 - modélisation mod. rel.
- Exercices
  - transformation finale chap. 4
  - 4.2 - shop online
  - 4.3 - tické cornet - question 1

### Semaine 6 - 29 mars et 1 avril :hatching_chick:

- [alg] chapitre 1
- [alg] exercices 1.2, 1.3, 1.4 et 1.5 (version 1) (**à terminer pour la prochaine fois**)


### Semaine 7 - 5 et 7 avril

- [alg] corrigé d'exercices 1.2 et 1.3
- [sbd] chapitre 5 - modélisation mod. rel. -> CTE
- [sbd] exercices 5.1 (sql conférence)


### Semaine 8 - 12 avril (15 avril férié)

- [sbd] exercices 5.1 (sql conférence) à faire en cours
- [sbd] exercices 5.1 (1 à 15 **à terminer pour la prochaine fois**)

### Semaine 9 - 25 et 28 avril

- [sbd] chapitre 5 - modélisation mod. rel. -> FIN
- [sbd] exercices 5.1 (sql conférence) à faire en cours
- [sbd] exercices 5.1 (**à terminer pour la prochaine fois**)

### Semaine 10 - 3 et 6 mai

- [sbd] corrigé d'exercices série 5
- [alg] corrigé d'exercices (1.2, 1.3,) 1.4 et 1.5 (version 1)
- [alg] chapitre 2
- [alg] exercices (Tépégé) à commencer

### Semaine 11

- [alg] exercices (Tépégé) à terminer pour la semaine 12
- [SBD] TP

### Semaine 12

### Semaine 13

### Semaine 14

### Semaine 15

### Semaine 16